package model

import (
	"fmt"
	"testing"
)

//GetCombineApproveUsers 混合获取
func TestGetCombineApproveUsers(t *testing.T) {

	var bosses []ApprovalUser
	bosses = append(bosses, ApprovalUser{ID: 1, Name: "张三"})
	bosses = append(bosses, ApprovalUser{ID: 2, Name: "李四"})

	var approvalUser []ApprovalUser
	approvalUser = append(approvalUser, ApprovalUser{ID: 3, Name: "张三1j"})
	approvalUser = append(approvalUser, ApprovalUser{ID: 4, Name: "李四2"})

	setting := &ApprovalSetting{
		ApprovalUsers: approvalUser,
	}

	fmt.Print(setting.GetCombineApproveUsers(bosses))

}
